Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt

Use this file to discover all available pages before exploring further.

Snag Solutions - API Docs (v 0.1)


What’s Changed


GET /api/loyalty/badges
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Changed property data (array) Changed items (object):
      Response returned upon successful fetching of the badges.
      • Added property hideInUi (boolean)
        Whether to hide this badge in the user interface
      • Changed property loyaltyBadgeUsers (array)
        Array of user badges
        Changed items (object):
        • Added property hideInUi (boolean)
          Whether to hide this badge in the user interface
POST /api/loyalty/badges
Request:
Changed content type : application/json
  • Added property hideInUi (boolean)
    Whether to hide this badge in the user interface
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Added property hideInUi (boolean)
      Whether to hide this badge in the user interface
    • Changed property loyaltyBadgeUsers (array)
      Array of user badges
      Changed items (object):
      • Added property hideInUi (boolean)
        Whether to hide this badge in the user interface
POST /api/loyalty/badges/
Request:
Changed content type : application/json
  • Added property hideInUi (boolean)
    Whether to hide this badge in the user interface
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Added property hideInUi (boolean)
      Whether to hide this badge in the user interface
    • Changed property loyaltyBadgeUsers (array)
      Array of user badges
      Changed items (object):
      • Added property hideInUi (boolean)
        Whether to hide this badge in the user interface
DELETE /api/loyalty/badges/
Return Type:
Changed response : 200 OK
200
  • Changed content type : application/json
    • Added property hideInUi (boolean)
      Whether to hide this badge in the user interface
    • Changed property loyaltyBadgeUsers (array)
      Array of user badges
      Changed items (object):
      • Added property hideInUi (boolean)
        Whether to hide this badge in the user interface

Result


API changes are backward compatible